Bug 1438599 - SUI : Duplicate order does not provision the service
Summary: SUI : Duplicate order does not provision the service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: API
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.8.0
Assignee: Allen W
QA Contact: Dave Johnson
URL:
Whiteboard: ssui
Depends On: 1429311
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-03 21:59 UTC by Satoe Imaishi
Modified: 2017-05-31 14:46 UTC (History)
8 users (show)

Fixed In Version: 5.8.0.9
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1429311
Environment:
Last Closed: 2017-05-31 14:46:09 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Comment 2 CFME Bot 2017-04-03 22:02:54 UTC
New commit detected on ManageIQ/manageiq-ui-service/fine:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/c2d4a00c058a220253a1f88c5ff416b1f0b80155

commit c2d4a00c058a220253a1f88c5ff416b1f0b80155
Author:     Chris Kacerguis <chriskacerguis@users.noreply.github.com>
AuthorDate: Mon Apr 3 13:08:12 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Apr 3 17:59:10 2017 -0400

    Merge pull request #626 from AllenBW/bz/1429311-duplicate-orders
    
    BZ#1429311 PT#142596807 - Duplicate order does not provision the service
    (cherry picked from commit 4ae26d715e46f078880dd6d820d3422c34d58e7d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1438599

 client/app/core/shopping-cart.service.js            |  7 +++++++
 .../order-explorer/order-explorer.component.js      | 21 +++++++++++++++------
 .../app/requests/order-explorer/order-explorer.html |  3 ++-
 3 files changed, 24 insertions(+), 7 deletions(-)

Comment 3 Shveta 2017-04-26 17:36:00 UTC
Duplicate order provisions a new service now .
Verified in 5.8.0.12-rc1.20170425180304_4f35996

Comment 5 errata-xmlrpc 2017-05-31 14:46:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.